<?xml version="1.0"?>

<entity-mappings xmlns="http://java.sun.com/xml/ns/persistence/orm" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0" xsi:schemaLocation="http://java.sun.com/xml/ns/persistence/orm http://java.sun.com/xml/ns/persistence/orm_1_0.xsd">
	<persistence-unit-metadata>
		<xml-mapping-metadata-complete/>
		<persistence-unit-defaults>
			<access>PROPERTY</access>
		</persistence-unit-defaults>
	</persistence-unit-metadata>
	<mapped-superclass class="de.humance.eco.profile.model.impl.QualificationModelImpl">
		<attributes>
			<id name="qualificationId" />
			<basic name="creatorId" />
			<basic name="creatorName" />
			<basic name="createDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="modifierId" />
			<basic name="modifierName" />
			<basic name="modifiedDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="ownerId" />
			<basic name="typeId" />
			<basic name="name" />
			<basic name="certNumber" />
			<basic name="deliveryDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="expirationDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="issuingCountry" />
			<basic name="issuingInstitution" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.QualificationAttributeModelImpl">
		<attributes>
			<id name="qualificationAttributeId" />
			<basic name="qualificationId" />
			<basic name="qualificationAttributeDefinitionId" />
			<basic name="type">
				<column name="TYPE_" />
			</basic>
			<basic name="sequenceNumber" />
			<basic name="attributeValue" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.QualificationAttributeDefinitionModelImpl">
		<attributes>
			<id name="qualificationAttributeDefinitionId" />
			<basic name="creatorId" />
			<basic name="creatorName" />
			<basic name="createDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="modifierId" />
			<basic name="modifierName" />
			<basic name="modifiedDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="qualificationTypeId" />
			<basic name="type">
				<column name="TYPE_" />
			</basic>
			<basic name="title" />
			<basic name="minRangeValue" />
			<basic name="maxRangeValue" />
			<basic name="unit" />
			<basic name="sequenceNumber" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.QualificationAttributeDefinitionResourceModelImpl">
		<attributes>
			<id name="qualificationAttributeDefinitionResourceId" />
			<basic name="qualificationAttributeDefinitionId" />
			<basic name="country" />
			<basic name="language" />
			<basic name="title" />
			<basic name="unit" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.QualificationTypeModelImpl">
		<attributes>
			<id name="qualificationTypeId" />
			<basic name="creatorId" />
			<basic name="creatorName" />
			<basic name="createDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="modifierId" />
			<basic name="modifierName" />
			<basic name="modifiedDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="name" />
			<basic name="description" />
			<basic name="note" />
			<basic name="iconId" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.QualificationTypeResourceModelImpl">
		<attributes>
			<id name="qualificationTypeResourceId" />
			<basic name="qualificationTypeId" />
			<basic name="country" />
			<basic name="language" />
			<basic name="name" />
			<basic name="description" />
			<basic name="note" />
			<basic name="iconId" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.TrailerModelImpl">
		<attributes>
			<id name="trailerId" />
			<basic name="creatorId" />
			<basic name="creatorName" />
			<basic name="createDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="modifierId" />
			<basic name="modifierName" />
			<basic name="modifiedDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="driverId" />
			<basic name="typeId" />
			<basic name="manufacturerId" />
			<basic name="organizationId" />
			<basic name="modelName" />
			<basic name="dimensionHeight" />
			<basic name="dimensionWidth" />
			<basic name="dimensionDepth" />
			<basic name="licensePlate" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.TrailerTypeModelImpl">
		<attributes>
			<id name="trailerTypeId" />
			<basic name="creatorId" />
			<basic name="creatorName" />
			<basic name="createDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="modifierId" />
			<basic name="modifierName" />
			<basic name="modifiedDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="name" />
			<basic name="iconId" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.TrailerUserModelImpl">
		<attributes>
			<id name="trailerUserId" />
			<basic name="userId" />
			<basic name="trailerId" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
			<transient name="trailerUserUuid" />
			<transient name="userUuid" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.VehicleModelImpl">
		<attributes>
			<id name="vehicleId" />
			<basic name="creatorId" />
			<basic name="creatorName" />
			<basic name="createDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="modifierId" />
			<basic name="modifierName" />
			<basic name="modifiedDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="driverId" />
			<basic name="typeId" />
			<basic name="manufacturerId" />
			<basic name="organizationId" />
			<basic name="modelName" />
			<basic name="dimensionHeight" />
			<basic name="dimensionWidth" />
			<basic name="dimensionDepth" />
			<basic name="licensePlate" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.VehicleAttributeModelImpl">
		<attributes>
			<id name="vehicleAttributeId" />
			<basic name="vehicleId" />
			<basic name="vehicleAttributeDefinitionId" />
			<basic name="type">
				<column name="TYPE_" />
			</basic>
			<basic name="sequenceNumber" />
			<basic name="attributeValue" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.VehicleAttributeDefinitionModelImpl">
		<attributes>
			<id name="vehicleAttributeDefinitionId" />
			<basic name="creatorId" />
			<basic name="creatorName" />
			<basic name="createDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="modifierId" />
			<basic name="modifierName" />
			<basic name="modifiedDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="vehicleTypeId" />
			<basic name="type">
				<column name="TYPE_" />
			</basic>
			<basic name="title" />
			<basic name="minRangeValue" />
			<basic name="maxRangeValue" />
			<basic name="unit" />
			<basic name="sequenceNumber" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.VehicleAttributeDefinitionResourceModelImpl">
		<attributes>
			<id name="vehicleAttributeDefinitionResourceId" />
			<basic name="vehicleAttributeDefinitionId" />
			<basic name="country" />
			<basic name="language" />
			<basic name="title" />
			<basic name="unit" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.VehicleManufacturerModelImpl">
		<attributes>
			<id name="vehicleManufacturerId" />
			<basic name="creatorId" />
			<basic name="creatorName" />
			<basic name="createDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="modifierId" />
			<basic name="modifierName" />
			<basic name="modifiedDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="name" />
			<basic name="iconId" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.VehicleTypeModelImpl">
		<attributes>
			<id name="vehicleTypeId" />
			<basic name="creatorId" />
			<basic name="creatorName" />
			<basic name="createDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="modifierId" />
			<basic name="modifierName" />
			<basic name="modifiedDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="name" />
			<basic name="iconId" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.VehicleTypeResourceModelImpl">
		<attributes>
			<id name="vehicleTypeResourceId" />
			<basic name="vehicleTypeId" />
			<basic name="country" />
			<basic name="language" />
			<basic name="name" />
			<basic name="iconId" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="de.humance.eco.profile.model.impl.VehicleUserModelImpl">
		<attributes>
			<id name="vehicleUserId" />
			<basic name="userId" />
			<basic name="vehicleId" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
			<transient name="userUuid" />
			<transient name="vehicleUserUuid" />
		</attributes>
	</mapped-superclass>
	<entity class="de.humance.eco.profile.model.impl.QualificationImpl" name="Qualification">
		<table name="Profile_Qualification" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.QualificationAttributeImpl" name="QualificationAttribute">
		<table name="Profile_QualificationAttribute" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.QualificationAttributeDefinitionImpl" name="QualificationAttributeDefinition">
		<table name="Profile_QualificationAttributeDefinition" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.QualificationAttributeDefinitionResourceImpl" name="QualificationAttributeDefinitionResource">
		<table name="Profile_QualificationAttributeDefinitionResource" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.QualificationTypeImpl" name="QualificationType">
		<table name="Profile_QualificationType" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.QualificationTypeResourceImpl" name="QualificationTypeResource">
		<table name="Profile_QualificationTypeResource" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.TrailerImpl" name="Trailer">
		<table name="Profile_Trailer" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.TrailerTypeImpl" name="TrailerType">
		<table name="Profile_TrailerType" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.TrailerUserImpl" name="TrailerUser">
		<table name="Profile_TrailerUser" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.VehicleImpl" name="Vehicle">
		<table name="Profile_Vehicle" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.VehicleAttributeImpl" name="VehicleAttribute">
		<table name="Profile_VehicleAttribute" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.VehicleAttributeDefinitionImpl" name="VehicleAttributeDefinition">
		<table name="Profile_VehicleAttributeDefinition" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.VehicleAttributeDefinitionResourceImpl" name="VehicleAttributeDefinitionResource">
		<table name="Profile_VehicleAttributeDefinitionResource" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.VehicleManufacturerImpl" name="VehicleManufacturer">
		<table name="Profile_VehicleManufacturer" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.VehicleTypeImpl" name="VehicleType">
		<table name="Profile_VehicleType" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.VehicleTypeResourceImpl" name="VehicleTypeResource">
		<table name="Profile_VehicleTypeResource" />
		<attributes />
	</entity>
	<entity class="de.humance.eco.profile.model.impl.VehicleUserImpl" name="VehicleUser">
		<table name="Profile_VehicleUser" />
		<attributes />
	</entity>
</entity-mappings>